#include "code.h"
#include <bits/stdc++.h>
#define MAXN 1007
using namespace std;
int a[MAXN][MAXN];
int mk[MAXN],mr[MAXN];
bool sk[MAXN],sr[MAXN];
std::vector<int> Nadji(int N, int K)
{
	for(int i=1;i<=N;i++) for(int j=1;j<N;j++) a[i][j]=Pitaj(i,j);
	for(int i=1;i<=N;i++)
    {
        sk[i]=true;
        mk[i]=a[i][1];
        for(int j=2;j<=N;j++)
        {
            if(a[i][j]==mk[i]) sk[i]=false;
            if(a[i][j]>mk[i]) {mk[i]=a[i][j]; sk[i]=true;}
        }
    }
    for(int j=1;j<=N;j++)
    {
        sr[j]=true;
        mr[j]=a[1][j];
        for(int i=2;i<=N;i++)
        {
            if(a[i][j]==mr[j]) sr[i]=false;
            if(a[i][j]>mr[j]) {mr[i]=a[i][j]; sr[i]=true;}
        }
    }
    for(int i=1;i<=N;i++) for(int j=1;j<=N;j++) if(mk[i]==a[i][j] && mk[j]==a[i][j] && sr[i] && sk[j])
    {
        vector<int> odg;
        odg.push_back(i);
        odg.push_back(j);
        return odg;
    }
    vector<int> odg;
    odg.push_back(0);
    odg.push_back(0);
    return odg;
}